m0j0TX

The Long Dark on macOS 10.15 "Catalina"?

Recommended Posts

I have wanted to purchase The Long Dark for some time, and it's currently on sale on Steam.  

However, when I view the game on the Steam store, there's a warning, "Notice: This product is not compatible with macOS 10.15 Catalina. Click here for more information."

Clicking on the link takes you to a webpage talking about how macOS 10.15 Catalina has discontinued support for 32-bit apps. 

I see that the game is regularly updated, so is it safe to assume that the macOS version is 64-bit, and will work fine with Catalina? 

I would hate to spend the money for the game and then find out that I have to downgrade my operating system in order to play it. 

Also, the publishers of the game might want to contact Steam and get them to remove the warning if it's not applicable. 

Screenshot attached. 

 

Screen Shot 2019-11-01 at 10.38.48.png

Share this post


Link to post
Share on other sites

Answering my own question, so maybe it will be helpful to others. 

I found this website that lists "The Long Dark" as one of the mac games that has been updated to 64-bit. However, Steam continues to flag a bunch of games as possibly incompatible, because apparently they don't bother checking to see if the game is still 32-bit or not, and/or they don't give the game publisher the ability to comment on its compatibility with macOS 10.15 Catalina. 

I purchased "The Long Dark" on Steam and played it for several hours on my MacBook Pro running macOS 10.15.1. I did not have any problems! It works great! 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now